gnash-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-commit] [SCM] Gnash branch, master, updated. release_0_8_9_final-


From: Gabriele Giacone
Subject: [Gnash-commit] [SCM] Gnash branch, master, updated. release_0_8_9_final-1923-g6d87a60
Date: Thu, 24 Apr 2014 01:55:30 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Gnash".

The branch, master has been updated
       via  6d87a60ae886280d40c1797431d8b706c03153ee (commit)
      from  85bfc0092fa6609b617c3b5afa024343b7b19cc5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit//commit/?id=6d87a60ae886280d40c1797431d8b706c03153ee


commit 6d87a60ae886280d40c1797431d8b706c03153ee
Author: Gabriele Giacone <address@hidden>
Date:   Wed Apr 23 20:35:13 2014 +0200

    Make LCTestRunner output while it runs to understand timing better.
    
    Analyse logs once they both finished. Fix indentation.

diff --git a/testsuite/simultaneous-testrunner.sh 
b/testsuite/simultaneous-testrunner.sh
index dc089c1..9729e11 100755
--- a/testsuite/simultaneous-testrunner.sh
+++ b/testsuite/simultaneous-testrunner.sh
@@ -18,19 +18,19 @@
 # 
 
 while getopts c:C: name; do
-       case $name in
-               c) endtagpat="$OPTARG" ;;
-               C) endtagpat="$OPTARG"; endtagexp=X ;;
-               ?)
-                  {
-                  echo "Usage: $0 [-r <runs>] [-f <advances>] [-c <string>]  
<swf> ..." 
-                  echo "   -c <pattern>    : verify that the test ends with a 
trace "
-           echo "                     matching <pattern>, or print a failure" 
-                  echo "   -C <pattern>    : same as -c <pattern> but a 
failure is "
-           echo "                     expected" 
-                  } >&2
-                  exit 1;;
-       esac
+  case $name in
+    c) endtagpat="$OPTARG" ;;
+    C) endtagpat="$OPTARG"; endtagexp=X ;;
+    ?)
+      {
+      echo "Usage: $0 [-r <runs>] [-f <advances>] [-c <string>]  <swf> ..."
+      echo "   -c <pattern>    : verify that the test ends with a trace "
+      echo "                     matching <pattern>, or print a failure"
+      echo "   -C <pattern>    : same as -c <pattern> but a failure is "
+      echo "                     expected"
+      } >&2
+      exit 1;;
+  esac
 done
 shift $(($OPTIND - 1))
 
@@ -47,7 +47,7 @@ echo
 
 echo "# Environment"
 env | grep GNASH | while read REPLY; do
-       echo "export ${REPLY}"
+  echo "export ${REPLY}"
 done
 
 timeout=40
@@ -55,32 +55,22 @@ cat << EOF
 
 outlog1=${top_builddir}/testoutlog.\$$
 outlog2=${top_builddir}/testoutlog2.\$$
-(
-    echo "Running first process"
-    ${top_builddir}/gui/gnash -v -r0 ${t1} -t ${timeout} > \${outlog1}
-    cat \${outlog1}
-       if test "x${endtagpat}" != x; then
-               lasttrace=\`grep TRACE \${outlog1} | tail -1 | sed 's/.*TRACE: 
//'\`
-               if ! expr "\${lasttrace}" : '${endtagpat}' > /dev/null; then
-                       echo "${endtagexp}FAILED: consistency check: last trace 
from run of test \${t} (\${lasttrace}) doesn't match pattern (${endtagpat})"
-               else
-                       echo "${endtagexp}PASSED: consistency check: last trace 
from run of test \${t} (\${lasttrace}) matches pattern (${endtagpat})"
-               fi
-       fi
-    rm \${outlog1}
-) &
-(
-    echo "Running second process"
-    ${top_builddir}/gui/gnash -v -r0 ${t2} -t ${timeout} > \${outlog2}
-    cat \${outlog2}
-       if test "x${endtagpat}" != x; then
-               lasttrace=\`grep TRACE \${outlog2} | tail -1 | sed 's/.*TRACE: 
//'\`
-               if ! expr "\${lasttrace}" : '${endtagpat}' > /dev/null; then
-                       echo "${endtagexp}FAILED: consistency check: last trace 
from run of test \${t} (\${lasttrace}) doesn't match pattern (${endtagpat})"
-               else
-                       echo "${endtagexp}PASSED: consistency check: last trace 
from run of test \${t} (\${lasttrace}) matches pattern (${endtagpat})"
-               fi
-       fi
-    rm \${outlog2}
-)
+
+echo "Running first process"
+${top_builddir}/gui/gnash -v -r0 ${t1} -t ${timeout} | tee \${outlog1} &
+echo "Running second process"
+${top_builddir}/gui/gnash -v -r0 ${t2} -t ${timeout} | tee \${outlog2} &
+wait
+
+for log in \${outlog1} \${outlog2}; do
+  if test "x${endtagpat}" != x; then
+    lasttrace=\`grep TRACE \$log | tail -1 | sed 's/.*TRACE: //'\`
+    if ! expr "\${lasttrace}" : '${endtagpat}' > /dev/null; then
+      echo "${endtagexp}FAILED: consistency check: last trace from run of test 
\${t} (\${lasttrace}) doesn't match pattern (${endtagpat})"
+    else
+      echo "${endtagexp}PASSED: consistency check: last trace from run of test 
\${t} (\${lasttrace}) matches pattern (${endtagpat})"
+    fi
+  fi
+  rm \$log
+done
 EOF

-----------------------------------------------------------------------

Summary of changes:
 testsuite/simultaneous-testrunner.sh |   74 +++++++++++++++-------------------
 1 files changed, 32 insertions(+), 42 deletions(-)


hooks/post-receive
-- 
Gnash



reply via email to

[Prev in Thread] Current Thread [Next in Thread]